<?php
$tdataseeker_status = array();
$tdataseeker_status[".searchableFields"] = array();
$tdataseeker_status[".ShortName"] = "seeker_status";
$tdataseeker_status[".OwnerID"] = "";
$tdataseeker_status[".OriginalTable"] = "seeker_status";


$tdataseeker_status[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataseeker_status[".originalPagesByType"] = $tdataseeker_status[".pagesByType"];
$tdataseeker_status[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataseeker_status[".originalPages"] = $tdataseeker_status[".pages"];
$tdataseeker_status[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataseeker_status[".originalDefaultPages"] = $tdataseeker_status[".defaultPages"];

//	field labels
$fieldLabelsseeker_status = array();
$fieldToolTipsseeker_status = array();
$pageTitlesseeker_status = array();
$placeHoldersseeker_status = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsseeker_status["English"] = array();
	$fieldToolTipsseeker_status["English"] = array();
	$placeHoldersseeker_status["English"] = array();
	$pageTitlesseeker_status["English"] = array();
	$fieldLabelsseeker_status["English"]["StatusID"] = "Status ID";
	$fieldToolTipsseeker_status["English"]["StatusID"] = "";
	$placeHoldersseeker_status["English"]["StatusID"] = "";
	$fieldLabelsseeker_status["English"]["StatusName"] = "ຊື່ສະຖານະ";
	$fieldToolTipsseeker_status["English"]["StatusName"] = "";
	$placeHoldersseeker_status["English"]["StatusName"] = "";
	if (count($fieldToolTipsseeker_status["English"]))
		$tdataseeker_status[".isUseToolTips"] = true;
}


	$tdataseeker_status[".NCSearch"] = true;



$tdataseeker_status[".shortTableName"] = "seeker_status";
$tdataseeker_status[".nSecOptions"] = 0;

$tdataseeker_status[".mainTableOwnerID"] = "";
$tdataseeker_status[".entityType"] = 0;
$tdataseeker_status[".connId"] = "eflejob_at_localhost";


$tdataseeker_status[".strOriginalTableName"] = "seeker_status";

	



$tdataseeker_status[".showAddInPopup"] = false;

$tdataseeker_status[".showEditInPopup"] = false;

$tdataseeker_status[".showViewInPopup"] = false;

	$tdataseeker_status[".listAjax"] = true;
//	temporary
//$tdataseeker_status[".listAjax"] = false;

	$tdataseeker_status[".audit"] = false;

	$tdataseeker_status[".locking"] = false;


$pages = $tdataseeker_status[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataseeker_status[".edit"] = true;
	$tdataseeker_status[".afterEditAction"] = 1;
	$tdataseeker_status[".closePopupAfterEdit"] = 1;
	$tdataseeker_status[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataseeker_status[".add"] = true;
$tdataseeker_status[".afterAddAction"] = 1;
$tdataseeker_status[".closePopupAfterAdd"] = 1;
$tdataseeker_status[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataseeker_status[".list"] = true;
}



$tdataseeker_status[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataseeker_status[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataseeker_status[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataseeker_status[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataseeker_status[".printFriendly"] = true;
}



$tdataseeker_status[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataseeker_status[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataseeker_status[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataseeker_status[".isUseAjaxSuggest"] = true;



			

$tdataseeker_status[".ajaxCodeSnippetAdded"] = false;

$tdataseeker_status[".buttonsAdded"] = false;

$tdataseeker_status[".addPageEvents"] = false;

// use timepicker for search panel
$tdataseeker_status[".isUseTimeForSearch"] = false;


$tdataseeker_status[".badgeColor"] = "DC143C";


$tdataseeker_status[".allSearchFields"] = array();
$tdataseeker_status[".filterFields"] = array();
$tdataseeker_status[".requiredSearchFields"] = array();

$tdataseeker_status[".googleLikeFields"] = array();
$tdataseeker_status[".googleLikeFields"][] = "StatusID";
$tdataseeker_status[".googleLikeFields"][] = "StatusName";



$tdataseeker_status[".tableType"] = "list";

$tdataseeker_status[".printerPageOrientation"] = 0;
$tdataseeker_status[".nPrinterPageScale"] = 100;

$tdataseeker_status[".nPrinterSplitRecords"] = 40;

$tdataseeker_status[".geocodingEnabled"] = false;










$tdataseeker_status[".pageSize"] = 20;

$tdataseeker_status[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdataseeker_status[".strOrderBy"] = $tstrOrderBy;

$tdataseeker_status[".orderindexes"] = array();


$tdataseeker_status[".sqlHead"] = "SELECT StatusID,  	StatusName";
$tdataseeker_status[".sqlFrom"] = "FROM seeker_status";
$tdataseeker_status[".sqlWhereExpr"] = "";
$tdataseeker_status[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataseeker_status[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataseeker_status[".arrGroupsPerPage"] = $arrGPP;

$tdataseeker_status[".highlightSearchResults"] = true;

$tableKeysseeker_status = array();
$tableKeysseeker_status[] = "StatusID";
$tdataseeker_status[".Keys"] = $tableKeysseeker_status;


$tdataseeker_status[".hideMobileList"] = array();




//	StatusID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "StatusID";
	$fdata["GoodName"] = "StatusID";
	$fdata["ownerTable"] = "seeker_status";
	$fdata["Label"] = GetFieldLabel("seeker_status","StatusID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "StatusID";

		$fdata["sourceSingle"] = "StatusID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "StatusID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_status["StatusID"] = $fdata;
		$tdataseeker_status[".searchableFields"][] = "StatusID";
//	StatusName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "StatusName";
	$fdata["GoodName"] = "StatusName";
	$fdata["ownerTable"] = "seeker_status";
	$fdata["Label"] = GetFieldLabel("seeker_status","StatusName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "StatusName";

		$fdata["sourceSingle"] = "StatusName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "StatusName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataseeker_status["StatusName"] = $fdata;
		$tdataseeker_status[".searchableFields"][] = "StatusName";


$tables_data["seeker_status"]=&$tdataseeker_status;
$field_labels["seeker_status"] = &$fieldLabelsseeker_status;
$fieldToolTips["seeker_status"] = &$fieldToolTipsseeker_status;
$placeHolders["seeker_status"] = &$placeHoldersseeker_status;
$page_titles["seeker_status"] = &$pageTitlesseeker_status;


changeTextControlsToDate( "seeker_status" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["seeker_status"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["seeker_status"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_seeker_status()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "StatusID,  	StatusName";
$proto0["m_strFrom"] = "FROM seeker_status";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "StatusID",
	"m_strTable" => "seeker_status",
	"m_srcTableName" => "seeker_status"
));

$proto6["m_sql"] = "StatusID";
$proto6["m_srcTableName"] = "seeker_status";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "StatusName",
	"m_strTable" => "seeker_status",
	"m_srcTableName" => "seeker_status"
));

$proto8["m_sql"] = "StatusName";
$proto8["m_srcTableName"] = "seeker_status";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "seeker_status";
$proto11["m_srcTableName"] = "seeker_status";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "StatusID";
$proto11["m_columns"][] = "StatusName";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "seeker_status";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "seeker_status";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="seeker_status";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_seeker_status = createSqlQuery_seeker_status();


	
		;

		

$tdataseeker_status[".sqlquery"] = $queryData_seeker_status;



$tdataseeker_status[".hasEvents"] = false;

?>